USE dgeMaterial_Atlas --update as needed

GO

SELECT BaseTables.TABLE_CATALOG,BaseTables.COLUMN_NAME, BaseTables.TableKey FROM (SELECT TABLES.TABLE_CATALOG, COLUMNS.COLUMN_NAME, Worklist.TableName AS TableKey FROM MC.dbo._AuditTablesWorklist AS Worklist 
				INNER JOIN INFORMATION_SCHEMA.TABLES 
					ON Worklist.TableName = TABLES.TABLE_NAME 
					AND Worklist.[database] = TABLES.TABLE_CATALOG
				INNER JOIN INFORMATION_SCHEMA.COLUMNS 
					ON TABLES.TABLE_CATALOG = COLUMNS.TABLE_CATALOG  
					AND TABLES.TABLE_NAME = COLUMNS.TABLE_NAME
				WHERE TABLE_TYPE = 'BASE TABLE') AS BaseTables
LEFT OUTER JOIN 
				(SELECT TABLES.TABLE_CATALOG, COLUMNS.COLUMN_NAME, Worklist.TableName AS TableKey FROM MC.dbo._AuditTablesWorklist AS Worklist 
				INNER JOIN INFORMATION_SCHEMA.TABLES 
					ON Worklist.TableName+'#AuditColumn' = TABLES.TABLE_NAME 
					AND Worklist.[database] = TABLES.TABLE_CATALOG
				INNER JOIN INFORMATION_SCHEMA.COLUMNS 
					ON TABLES.TABLE_CATALOG = COLUMNS.TABLE_CATALOG  
					AND TABLES.TABLE_NAME = COLUMNS.TABLE_NAME
				WHERE TABLE_TYPE = 'BASE TABLE')  AS AuditTables
ON BaseTables.TableKey = AuditTables.TableKey
 AND BaseTables.TABLE_CATALOG = AuditTables.TABLE_CATALOG
 AND BaseTables.COLUMN_NAME = AuditTables.COLUMN_NAME
 WHERE AuditTables.TableKey IS NULL
