USE dgeMaterial_Atlas

GO

SELECT RC.TABLE_CATALOG, RC.TABLE_NAME, RC.[Column] FROM (SELECT TABLES.TABLE_CATALOG, TABLES.TABLE_NAME, [Column]
FROM MC.dbo._AuditTablesWorklist AS Worklist 
				INNER JOIN INFORMATION_SCHEMA.TABLES 
					ON Worklist.TableName = TABLES.TABLE_NAME 
					AND Worklist.[database] = TABLES.TABLE_CATALOG
					CROSS JOIN 	(SELECT [Column] FROM Cransoft.dbo.ReservedColumn WHERE [Column] IN
					('AddedBy','AddedOn','AddedVia','ChangedBy','ChangedOn','ChangedVia')) AS ReservedColumn) AS RC
LEFT OUTER JOIN

			(SELECT COLUMNS.TABLE_CATALOG , COLUMNS.TABLE_NAME, COLUMNS.COLUMN_NAME
			FROM MC.dbo._AuditTablesWorklist AS Worklist 
				INNER JOIN INFORMATION_SCHEMA.TABLES 
					ON Worklist.TableName = TABLES.TABLE_NAME 
					AND Worklist.[database] = TABLES.TABLE_CATALOG
				INNER JOIN INFORMATION_SCHEMA.COLUMNS 
					ON TABLES.TABLE_CATALOG = COLUMNS.TABLE_CATALOG  
					AND TABLES.TABLE_NAME = COLUMNS.TABLE_NAME			
				WHERE TABLE_TYPE = 'BASE TABLE' AND  COLUMNS.COLUMN_NAME IN 
				('AddedBy','AddedOn','AddedVia','ChangedBy','ChangedOn','ChangedVia')) AS TC
ON TC.TABLE_CATALOG = RC.TABLE_CATALOG AND TC.TABLE_NAME = RC.TABLE_NAME AND TC.COLUMN_NAME = RC.[Column]
WHERE TC.TABLE_NAME IS NULL