USE dgeMaterial_Sustain  --Update for database 

GO

SELECT DISTINCT 
StoredProcs.ProcName,
CASE WHEN RIGHT(StoredProcs.ProcName,3) NOT IN ('Ins','Upd','Del') THEN '' ELSE RIGHT(StoredProcs.ProcName,3) END Type,
LEN(StoredProcs.ProcName) lenth
--StoredProcs.definition 
FROM (
		SELECT sys.procedures.name AS ProcName, sys.sql_modules.Definition
		FROM            sys.procedures INNER JOIN
								 sys.sql_modules ON sys.procedures.object_id = sys.sql_modules.object_id
		WHERE NOT (sys.sql_modules.definition LIKE N'%ChangedVia%') 
		AND NOT (sys.sql_modules.definition LIKE N'%AddedVia%')		
	 ) StoredProcs--We could be more advanced here but I have not found that it is helpful with nested procs.
INNER JOIN Cransoft.dbo.PageEventRule 
	ON PageEventRule.[Procedure] = StoredProcs.ProcName 
INNER JOIN Cransoft.dbo.PageEvent 
	ON PageEventRule.Event =  PageEvent.Event 
	AND PageEventRule.PageID = PageEvent.PageID
INNER JOIN Cransoft.dbo.Page 
	ON Page.PageID = PageEvent.PageID
INNER JOIN Cransoft.dbo.WebApp 
	ON WebApp.WebAppID = Page.WebAppID
INNER JOIN DGE.dbo.ttCategory 
	ON ttCategory.DefaultWebAppID = WebApp.WebAppID
INNER JOIN Cransoft.dbo.DataSource 
	ON DataSource.DataSourceID = webapp.DataSourceID
	AND DataSource.[Database] = db_name()
INNER JOIN MC.dbo._AuditTablesWorklist 
	ON _AuditTablesWorklist.TableName = Page.[Table] 
	AND _AuditTablesWorklist.[Database] = db_name()
LEFT OUTER JOIN DGE.dbo.ttTaskPage 
	ON CranSoft.dbo.Page.PageID = DGE.dbo.ttTaskPage.PageID 
LEFT OUTER JOIN DGE.dbo.ttTask 
	ON DGE.dbo.ttTaskPage.TaskID = DGE.dbo.ttTask.TaskID
	AND  DGE.dbo.ttCategory.CategoryID = DGE.dbo.ttTask.CategoryID
WHERE ((PageEvent.Active = 1  -- if the page event and rule is active and the page has a task associated to it so that we are only considering possible SRTC 
	AND Pageeventrule.Active = 1  
	AND ttTask.TaskID IS NOT NULL ) 
OR (PageEvent.Active = 1 
	AND Pageeventrule.Active = 1  
	AND Page.[Table] IN( 'ttRequestDetail')) )  --if the page event and rule is active and the page table is ttRequestDetail, this allows for the submit rules to be included